######################################################################
# Configuration for NTP Analyzer statistical recordings and frontend #
######################################################################

Database {
        # Select either MySQL or PostgreSQL
        Provider MySQL

        # Address of SQL server
        Host 127.0.0.1

        # Name of database
        Name ntpa

        # Database user name
        User ntpau

        # Password for the user
        Pass password

        # Set to 1 to automatically create all tables and data.
        Create 1

        # Set to 1 to automatically upgrade database schema.
        Upgrade 1
}

Log {
        # Levels: error, warn, notice, info, debug and trace
        Severity info
        File /var/log/ntpa/ntpa.log
}

# Synchronize timestamps for readings across different NTP servers/peers
Reading {
        Name stat1

        # Indicate if generation should happen immediately after start up
        InitialRun 0

        # Minutes between reading values from NTP servers.
        Frequency 5

        # Indicate if readings should happen at rounded intervals.
        FixedRun 1
}

Server {
        # Primary key in database table 'host'
        HostID 1

        # Address queried by ntpq and ntpdc
        HostAddress 127.0.0.1

        # The utility used to query ntpd. Use ntpdc for old hosts.  
        HostType ntpq

        HostStats {
                # Use name defined in Reading section or number of minutes between readings.
                Frequency stat1
        }

        HostIOStats {
                Frequency stat1
        }

        PeerStats {
                Frequency stat1
        }
        
        # Base path for generated files
        FilePath /usr/local/www/ntpa
        
        # Base URL for generated files
        WebPath /
        
        ########## Webpages ##########
        
        # Main page for a host
        HostPage ntp1 {
                # Indicate if generation should happen immediately after start up
                InitialRun 1

                # Minutes between generation of page
                Frequency 5

                PageTitle ntp1.example.net

                # Use either 'default' or 'bootstrap'
                Template bootstrap

                # Link to peer web pages
                PeerPages ntp1-peers
                
                # Set to 1 if this page should show a link to pool.ntp.org
                PoolMember 0

                # Links to graphs
                Images {
                        # Name of graph group
                        Title Recent offset graphs
                        
                        # Index in graph destination array
                        LinkIndex 1
                        
                        # Link to graphs in config file
                        Graph offset1
                        Graph offset3
                }

                # Name and path to generated file.
                Destinations {
                        File index.html
                }
        }

                
        # Web pages for peers
        # Same usage as host configuration options
        PeerPages ntp1-peers {
                InitialRun 1
                Frequency 240

                PageTitle ntp1.example.net
                Template bootstrap

                Images {
                        LinkIndex 1
                        Graph offset24
                        Graph offset72
                        Graph delay
                }
                
                # Path to use for generated files.
                Destinations {
                        Directory peers/
                }
                
                # Base URL to generated files.
                Link peers/
        }

        AboutPage about1 {
                PageTitle example.net
                ContentTitle ntp1.example.net
                Content {
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                    Sed et risus vel leo interdum fringilla. Vestibulum ex justo,
                    euismod ac conat tempor a massa. Donec elementum congue.</p>
                }
                
                Destinations {
                        File about.html
                }
        }

        ############### Bootstrap menu ##############

        # Options for boot strap menu
        # When using the bootstrap theme a bootstrap menu must be included
        Menu {
                Item title {
                        Type Name
                        Caption example.net
                        Link http://example.net
                }
                
                Item main {
                        Caption NTP
                        Page ntp1
                }
        
                Item {
                        Caption About
                        Page about1
                }
        }
        
        ########## Host graphs ##########

        HostGraph offset1 {
                InitialRun 1
                Frequency 15
                Timespan 1
                
                Title ntp1.example.net (1 day)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1
                Offset 1
                
                Destinations {
                        File ntp1.png
                }

                Links {
                        Link ntp1.png
                }
        }

        HostGraph offset3 {
                InitialRun 1
                Frequency 30
                Timespan 3
                
                Title ntp1.example.net (3 days)
                Width 1024
                Height 550
                
                Stability 0
                GFrequency 1
                Jitter 1
                Offset 1
                
                Destinations {
                        File ntp3.png
                }
        
                Links {
                        Link ntp3.png
                }
        }
        
        ########## Peer graphs ##########
        
        PeerGraphs offset24 {
                InitialRun 1
                Frequency 15
                Timespan 1

                Title 24 hours offset
                Width 1024
                Height 550
                Jitter 0
                Offset 1
                
                Destinations {
                        Prefix offset24-
                        Directory /peers/
                }
                
                Links {
                        Link peer1/offset24-
                }
        }

        PeerGraphs offset72 {
                InitialRun 1
                Frequency 15
                Timespan 3

                Title 72 hours offset
                Width 1024
                Height 550
                Jitter 0
                Offset 1
                
                Destinations {
                        Prefix offset72-
                        Directory /peers/
                }
                
                Links {
                        Link peers/offset72-
                }
        }
        
        PeerGraphs delay {
                InitialRun 1
                Frequency 180
                Timespan 15

                Title 15 days delay
                Width 1024
                Height 550
                Delay 1
                Jitter 1
                Offset 1
                
                Destinations {
                        Prefix delay-
                        Directory /peers/
                }
                
                Links {
                        Link peers/delay-
                }
        }
}